## GtkToolPalette GtkToolPalette |

## Functions

GtkWidget * | gtk_tool_palette_new ()
gboolean | gtk_tool_palette_get_exclusive ()
void | gtk_tool_palette_set_exclusive ()
gboolean | gtk_tool_palette_get_expand ()
void | gtk_tool_palette_set_expand ()
gint | gtk_tool_palette_get_group_position ()
void | gtk_tool_palette_set_group_position ()
GtkIconSize | gtk_tool_palette_get_icon_size ()
void | gtk_tool_palette_set_icon_size ()
void | gtk_tool_palette_unset_icon_size ()
GtkToolbarStyle | gtk_tool_palette_get_style ()
void | gtk_tool_palette_set_style ()
void | gtk_tool_palette_unset_style ()
void | gtk_tool_palette_add_drag_dest ()
GtkWidget * | gtk_tool_palette_get_drag_item ()
const GtkTargetEntry * | gtk_tool_palette_get_drag_target_group ()
const GtkTargetEntry * | gtk_tool_palette_get_drag_target_item ()
GtkToolItemGroup * | gtk_tool_palette_get_drop_group ()
GtkToolItem * | gtk_tool_palette_get_drop_item ()
void | gtk_tool_palette_set_drag_source ()
GtkAdjustment * | gtk_tool_palette_get_hadjustment ()
GtkAdjustment * | gtk_tool_palette_get_vadjustment ()

## Properties

GtkIconSize | icon-size | Read / Write
gboolean | icon-size-set | Read / Write
GtkToolbarStyle | toolbar-style | Read / Write

## Child Properties

gboolean | exclusive | Read / Write
gboolean | expand | Read / Write

## Signals

void | set-scroll-adjustments | Action

## Types and Values

struct | GtkToolPalette
enum | GtkToolPaletteDragTargets

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkToolPalette

## Implemented Interfaces

GtkToolPalette implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_tool_palette_new ()

    GtkWidget *
    gtk_tool_palette_new (void);

Since: 2.20

### gtk_tool_palette_get_exclusive ()

    gboolean
    gtk_tool_palette_get_exclusive (GtkToolPalette *palette,
                                    GtkToolItemGroup *group);

Since: 2.20

### gtk_tool_palette_set_exclusive ()

    void
    gtk_tool_palette_set_exclusive (GtkToolPalette *palette,
                                    GtkToolItemGroup *group,
                                    gboolean exclusive);

Since: 2.20

### gtk_tool_palette_get_expand ()

    gboolean
    gtk_tool_palette_get_expand (GtkToolPalette *palette,
                                 GtkToolItemGroup *group);

Since: 2.20

### gtk_tool_palette_set_expand ()

    void
    gtk_tool_palette_set_expand (GtkToolPalette *palette,
                                 GtkToolItemGroup *group,
                                 gboolean expand);

Since: 2.20

### gtk_tool_palette_get_group_position ()

    gint
    gtk_tool_palette_get_group_position (GtkToolPalette *palette,
                                         GtkToolItemGroup *group);

Since: 2.20

### gtk_tool_palette_set_group_position ()

    void
    gtk_tool_palette_set_group_position (GtkToolPalette *palette,
                                         GtkToolItemGroup *group,
                                         gint position);

Since: 2.20

### gtk_tool_palette_get_icon_size ()

    GtkIconSize
    gtk_tool_palette_get_icon_size (GtkToolPalette *palette);

Since: 2.20

### gtk_tool_palette_set_icon_size ()

    void
    gtk_tool_palette_set_icon_size (GtkToolPalette *palette,
                                    GtkIconSize icon_size);

Since: 2.20

### gtk_tool_palette_unset_icon_size ()

    void
    gtk_tool_palette_unset_icon_size (GtkToolPalette *palette);

Since: 2.20

### gtk_tool_palette_get_style ()

    GtkToolbarStyle
    gtk_tool_palette_get_style (GtkToolPalette *palette);

Since: 2.20

### gtk_tool_palette_set_style ()

    void
    gtk_tool_palette_set_style (GtkToolPalette *palette,
                                GtkToolbarStyle style);

Since: 2.20

### gtk_tool_palette_unset_style ()

    void
    gtk_tool_palette_unset_style (GtkToolPalette *palette);

Since: 2.20

### gtk_tool_palette_add_drag_dest ()

    void
    gtk_tool_palette_add_drag_dest (GtkToolPalette *palette,
                                    GtkWidget *widget,
                                    GtkDestDefaults flags,
                                    GtkToolPaletteDragTargets targets,
                                    GdkDragAction actions);

Since: 2.20

### gtk_tool_palette_get_drag_item ()

    GtkWidget *
    gtk_tool_palette_get_drag_item (GtkToolPalette *palette,
                                    const GtkSelectionData *selection);

Since: 2.20

### gtk_tool_palette_get_drag_target_group ()

    const GtkTargetEntry *
    gtk_tool_palette_get_drag_target_group
                                   (void);

Since: 2.20

### gtk_tool_palette_get_drag_target_item ()

    const GtkTargetEntry *
    gtk_tool_palette_get_drag_target_item (void);

Since: 2.20

### gtk_tool_palette_get_drop_group ()

    GtkToolItemGroup *
    gtk_tool_palette_get_drop_group (GtkToolPalette *palette,
                                     gint x,
                                     gint y);

Since: 2.20

### gtk_tool_palette_get_drop_item ()

    GtkToolItem *
    gtk_tool_palette_get_drop_item (GtkToolPalette *palette,
                                    gint x,
                                    gint y);

Since: 2.20

### gtk_tool_palette_set_drag_source ()

    void
    gtk_tool_palette_set_drag_source (GtkToolPalette *palette,
                                      GtkToolPaletteDragTargets targets);

Since: 2.20

### gtk_tool_palette_get_hadjustment ()

    GtkAdjustment *
    gtk_tool_palette_get_hadjustment (GtkToolPalette *palette);

Since: 2.20

### gtk_tool_palette_get_vadjustment ()

    GtkAdjustment *
    gtk_tool_palette_get_vadjustment (GtkToolPalette *palette);

Since: 2.20

## Types and Values

### struct GtkToolPalette

    struct GtkToolPalette;

### enum GtkToolPaletteDragTargets

#### Members

GTK_TOOL_PALETTE_DRAG_ITEMS |  |
GTK_TOOL_PALETTE_DRAG_GROUPS |  |

## Property Details

### The `“icon-size”` property

      “icon-size”                GtkIconSize

Size of icons in this tool palette.

Flags: Read / Write

Default value: GTK_ICON_SIZE_SMALL_TOOLBAR

Since: 2.20

### The `“icon-size-set”` property

      “icon-size-set”            gboolean

Whether the icon-size property has been set.

Flags: Read / Write

Default value: FALSE

Since: 2.20

### The `“toolbar-style”` property

      “toolbar-style”            GtkToolbarStyle

Style of items in the tool palette.

Flags: Read / Write

Default value: GTK_TOOLBAR_ICONS

Since: 2.20

## Child Property Details

### The `“exclusive”` child property

      “exclusive”                gboolean

Whether the item group should be the only expanded at a given time.

Flags: Read / Write

Default value: FALSE

Since: 2.20

### The `“expand”` child property

      “expand”                   gboolean

Whether the item group should receive extra space when the palette grows.

Flags: Read / Write

Default value: FALSE

Since: 2.20

## Signal Details

### The `“set-scroll-adjustments”` signal

    void
    user_function (GtkToolPalette *widget,
                   GtkAdjustment  *hadjustment,
                   GtkAdjustment  *vadjustment,
                   gpointer        user_data)

Flags: Action

Since: 2.20